Page MenuHomePhabricator

engine: refactor actual cloning code into separate function
ClosedPublic

Authored by pulkit on Dec 14 2020, 4:55 AM.

Details

Summary

The for ... under which this cloning code exists is too complicated and based
on certain assumptions. I am going to refactor it in next patches and make it
bit saner.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 14 2020, 4:55 AM
marmoute requested changes to this revision.Dec 22 2020, 3:38 AM
This revision now requires changes to proceed.Dec 22 2020, 3:38 AM
marmoute added inline comments.Dec 22 2020, 4:02 AM
mercurial/upgrade_utils/engine.py
251–278

(that comment got lost someone)

This looks like as unnecessary nested function, lets make it a real function instead.

pulkit updated this revision to Diff 24539.Dec 30 2020, 5:31 AM
mharbison72 accepted this revision.Jan 5 2021, 10:34 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.